Get budget
curl --request GET \
--url https://api.nops.io/v1/budgets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/budgets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/budgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budget": {
"id": "budget-1",
"name": "Q1 Cloud Budget",
"targetType": "BUDGET",
"period": "MONTHLY",
"status": "ACTIVE",
"numberOfPeriods": 12,
"startDate": "2026-01-01",
"endDate": "2026-12-01",
"lookbackPeriod": null,
"budgetType": null,
"startingValue": null,
"customStartingValue": null,
"growthRate": null,
"normalizationPeriod": false,
"organizationId": "org-1",
"nopsClientId": 42,
"creatorId": "user-1",
"explorerReportId": "report-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"explorerReport": {
"id": "report-1",
"name": "AWS Spend by Account"
},
"creator": {
"id": "user-1",
"firstName": "FinOps",
"lastName": "Analyst",
"email": "finops@example.com"
},
"plannings": [],
"metrics": {
"totalTarget": 16000,
"totalActual": 15200.5,
"variance": -799.5
},
"dimensions": []
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Budgets
Get budget
GET
https://api.nops.io
/
v1
/
budgets
/
{id}
Get budget
curl --request GET \
--url https://api.nops.io/v1/budgets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/budgets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/budgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budget": {
"id": "budget-1",
"name": "Q1 Cloud Budget",
"targetType": "BUDGET",
"period": "MONTHLY",
"status": "ACTIVE",
"numberOfPeriods": 12,
"startDate": "2026-01-01",
"endDate": "2026-12-01",
"lookbackPeriod": null,
"budgetType": null,
"startingValue": null,
"customStartingValue": null,
"growthRate": null,
"normalizationPeriod": false,
"organizationId": "org-1",
"nopsClientId": 42,
"creatorId": "user-1",
"explorerReportId": "report-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"explorerReport": {
"id": "report-1",
"name": "AWS Spend by Account"
},
"creator": {
"id": "user-1",
"firstName": "FinOps",
"lastName": "Analyst",
"email": "finops@example.com"
},
"plannings": [],
"metrics": {
"totalTarget": 16000,
"totalActual": 15200.5,
"variance": -799.5
},
"dimensions": []
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I